Subject: Re: Make mode-line number display consistent when both line and col numbers are shown.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Sep 2017 23:08:59 +0300

> From: Robert Weiner <[email-masked]>
> Date: Fri, 29 Sep 2017 15:23:30 -0400
> Cc: [email-masked]
> 
>  If you are asking for an optional feature that would display these
>  indicators as we did 15 years ago, I'm okay with adding it. (We
>  already have quite a few optional variations on similar themes, but
>  one more cannot do too much harm, I guess.)
> 
> ​Can you explain how that would work? How would you modify the line and col display format?

By providing a defcustom which will arrange for mode-line-format to
have the right stuff, I suppose.

> ​We have two separate issues here:
> 
> 1. The default line and col display format: I was suggesting the change for consistency sake.​ If it could be
> made an easy-to-trigger option on the popup menu that controls this display, I could support that.
> 
> 2. The ability to easily change the line and col display format strings: My patch solves that issue.

Your patch makes the change unconditional for everyone.  I don't think
we should do that, especially since we once went in the opposite
direction.